%define name pdmenu
%define version 1.2.69
%define release 1mdk

Summary: A simple text-based menu program
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://kitenet.net/programs/pdmenu/
Source: %{name}-%{version}.tar.bz2
Patch0: pdmenu-1.2.61-menu.patch.bz2
License: GPL
Group: Shells
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: gpm >= 1.17.8
Conflicts: menu < 2.0.0

%description
A simple full screen menu program, intended to be a comfortable
login shell for inexperienced users.

%prep
%setup 
#%patch -p1
mv debian/README.debian debian/README.menu
%configure

%build
#uname -a | grep SMP && make -j 2 || make

export CC="kgcc"
export CXX="kg++"

perl -pi -e 's|gcc|kgcc|g' makeinfo

make

%install
make INSTALL_PREFIX=$RPM_BUILD_ROOT install
install -m755 examples/newbie/modem-check examples/newbie/rpm-info-on-command $RPM_BUILD_ROOT%{_libexecdir}/pdmenu
rm -f examples/*.in examples/newbie/*.in examples/newbie/modem-check examples/newbie/rpm-info-on-command examples/editdir.pl examples/showdir.pl
install -d $RPM_BUILD_ROOT%{_libexecdir}/menu
install -d $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods
install -m644 debian/menu $RPM_BUILD_ROOT%{_libexecdir}/menu/pdmenu
install -m755 debian/menu-method $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/pdmenu
install -m755 debian/cpp.pl $RPM_BUILD_ROOT%{_libexecdir}/pdmenu
cp -f debian/pdmenurc.debian $RPM_BUILD_ROOT%{_sysconfdir}/pdmenurc

for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
        done
	

%files
%defattr (-,root,root,755)
%config(noreplace) %{_sysconfdir}/pdmenurc
%{_sysconfdir}/menu-methods/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_libexecdir}/pdmenu
%{_libexecdir}/menu/*
%doc README doc/BUGS doc/TODO doc/ANNOUNCE debian/changelog examples debian/README.menu

%post
%update-menus

%postun
if [ "$1" = 0 ]; then
  rm -rf %{_localstatedir}/pdmenu
fi
%clean-menus

%clean
rm -rf $RPM_BUILD_ROOT
make distclean

%changelog
* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.69-1mdk
- updated to 1.2.69

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.65-2mdk
- fix build
- remove CVS files

* Mon Jan 08 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.2.65-1mdk
- macro's
- update to 1.2.65

* Thu Jun 22 2000 Matthew Campbell <mattcamp@crosswinds.net> 1.2.61-1mdk
- Updated to version 1.2.61.
- Fixed Source line to use variables for name and version.
- Changed Packager line (was formerly jeff.covey@pobox.com).
- Changed Buildroot line to use _tmppath variable instead of /var/tmp.
- Took out Requires line; RPM will fill in that information.
- Made some cosmetic changes to the spec file.
- Replaced ./configure with %%configure and took out the --mandir option
  on that command line.
- Changed the "make" command lien to the format recommended in the Mandrake
  RPM HOWTO.
- Changed installation of example scripts so that the install command makes
  sure the scripts are executable, and so that the RPM_BUILD_ROOT variable
  is used.
- Generally simplified installation of examples.
- Removed stuff to copy man pages to /usr/man, since they're now put there
  automatically.
- Added "-n pdmenu" option to %%setup macro call.
- Added fourth argument (755) to %%defattr macro call.
- Added %%clean section.
- Now depends on gpm >= 1.17.8 and conflicts with menu < 2.0.0, as in the
  Debian package.
- Added support for the menu package.

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.50-2mdk
- fix group
- fix files section 

* Fri Dec 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- nex in contribs
- fix attributes
